Subject: Heirloom seeds available - toms+

From: [email-masked] (afsan)
Date: 8 Jan 1995 15:48:41 -0500

I have a selection of heirloom seeds available for trade (or other
arrangements).  The largest selection is in tomatoes but other species are
also represented.  If you are interested in a list, please email me.  Mike